Package twisted :: Package python :: Module logfile :: Class DailyLogFile |
[show private | hide private]
[frames | no frames]

## Class DailyLogFile

    BaseLogFile --+
                  |
                 DailyLogFile

A log file that is rotated daily (at or after midnight localtime)

Method Summary
| `__init__(self, name, directory, defaultMode)` (inherited from `BaseLogFile`)
| `__getstate__(self)`
| ``__hook_orig_twisted_python_logfile_DailyLogFile_rotate__`(self)` Rotate the file and create a new one.
| ``__hook_orig_twisted_python_logfile_DailyLogFile_write__`(self, data)` Write some data to the log file
| `__setstate__(self, state)` (inherited from `BaseLogFile`)
| ``close`(self)` Close the file. (inherited from `BaseLogFile`)
| ``flush`(self)` Flush the file. (inherited from `BaseLogFile`)
| ``getCurrentLog`(self)` Return a LogReader for the current log file. (inherited from `BaseLogFile`)
| ``getLog`(self, identifier)` Given a unix time, return a LogReader for an old log file.
| `rotate(*args, **kw)`
| ``shouldRotate`(self)` Rotate when the date has changed since last write
| ``suffix`(self, tupledate)` Return the suffix given a (year, month, day) tuple or unixtime
| ``toDate`(self, *args)` Convert a unixtime to (year, month, day) localtime tuple, or return the current (year, month, day) localtime tuple.
| `write(*args, **kw)`

Class Variable Summary
`list` | `__hook_post_twisted_python_logfile_DailyLogFile_rotate__`
`list` | `__hook_post_twisted_python_logfile_DailyLogFile_write__`
`list` | `__hook_pre_twisted_python_logfile_DailyLogFile_rotate__`
`list` | `__hook_pre_twisted_python_logfile_DailyLogFile_write__`

Method Details

### __hook_orig_twisted_python_logfile_DailyLogFile_rotate__(self) Rotate the file and create a new one. If it's not possible to open new logfile, this will fail silently, and continue logging to old logfile.

### __hook_orig_twisted_python_logfile_DailyLogFile_write__(self, data) Write some data to the log file

### getLog(self, identifier) Given a unix time, return a LogReader for an old log file.

### shouldRotate(self) Rotate when the date has changed since last write

### suffix(self, tupledate) Return the suffix given a (year, month, day) tuple or unixtime

### toDate(self, *args) Convert a unixtime to (year, month, day) localtime tuple, or return the current (year, month, day) localtime tuple. This function primarily exists so you may overload it with gmtime, or some cruft to make unit testing possible.

Class Variable Details

    ### __hook_post_twisted_python_logfile_DailyLogFile_rotate__ Type: `list` Value:
        [<function _synchPost at 0x81aead4>]

    ### __hook_post_twisted_python_logfile_DailyLogFile_write__ Type: `list` Value:
        [<function _synchPost at 0x81aead4>]

    ### __hook_pre_twisted_python_logfile_DailyLogFile_rotate__ Type: `list` Value:
        [<function _synchPre at 0x81aea9c>]

    ### __hook_pre_twisted_python_logfile_DailyLogFile_write__ Type: `list` Value:
        [<function _synchPre at 0x81aea9c>]

Generated by Epydoc 1.1 on Thu May 8 13:16:48 2003 | http://epydoc.sf.net